<?php
/*
 Plugin Name: BuddyPress Edit Activity Stream
 Plugin URI: http://wordpress.org/extend/plugins/buddypress-edit-activity-stream/
 Description: Allow user (set timeout) and admins to edit activity updates
 Author: rich @etivite
 Author URI: http://buddypress.org/developers/etivite/
 License: GNU GENERAL PUBLIC LICENSE 3.0 http://www.gnu.org/licenses/gpl.txt
 Version: 0.5.0
 Text Domain: bp-activity-edit
 Site Wide Only: true
*/

/* Only load code that needs BuddyPress to run once BP is loaded and initialized. */
function etivite_bp_edit_activity_init() {
    require( dirname( __FILE__ ) . '/bp-activity-edit.php' );
}
add_action( 'bp_init', 'etivite_bp_edit_activity_init' );

//add admin_menu page
function etivite_bp_edit_activity_admin_add_admin_menu() {
	global $bp;
	
	if ( !is_super_admin() )
		return false;
		
	//Add the component's administration tab under the "BuddyPress" menu for site administrators
	require ( dirname( __FILE__ ) . '/admin/bp-activity-edit-admin.php' );

	add_submenu_page( 'bp-general-settings', __( 'Activity Edit Admin', 'bp-activity-edit' ), __( 'Activity Edit', 'bp-activity-edit' ), 'manage_options', 'bp-activity-edit-settings', 'etivite_bp_edit_activity_admin' );

}

//sometimes the fire order is incorrect and we add the admin subpage under 'BuddyPress' w/o bp actually init - so check then add.
if ( defined( 'BP_VERSION' ) ) {
	add_action( is_multisite() ? "network_admin_menu" : "admin_menu", "etivite_bp_edit_activity_admin_add_admin_menu", 88 );
} else {
	add_action( 'bp_init', 'etivite_bp_edit_activity_admin_init' );
}
function etivite_bp_edit_activity_admin_init() {
	add_action( is_multisite() ? "network_admin_menu" : "admin_menu", "etivite_bp_edit_activity_admin_add_admin_menu", 88 );
}
?>
